# ShestakUI (Classic)

## [1.8.8](https://github.com/EsreverWoW/ShestakUI_Classic/tree/1.8.8) (2023-11-06)
[Full Changelog](https://github.com/EsreverWoW/ShestakUI_Classic/commits/1.8.8) [Previous Releases](https://github.com/EsreverWoW/ShestakUI_Classic/releases)

- Updated version to 1.8.8  
- Cleanup.  
- [Skins] Attempt to fix EncounterJournal taints.  
- [Skins] Fixed PetStable.  
- Added T.PostDisable function to rewrite disable addon settings.  
- Raise range for resolution check.  
    # Conflicts:  
    #	ShestakUI/Config/Settings.lua  
- Added Diablo 4 tag.  
- Removed  Elemental Equilbrium debuff.  
- Updated Chinese and Taiwan locales.  
- [Skins] Fixed width for ScriptErrorsFrame.  
- [GroupLoot] Workaround MAIN\_SPEC\_NEED\_ROLL.  
    # Conflicts:  
    #	ShestakUI/Modules/Loot/GroupLoot.lua  
- [GroupLoot] Added CANCEL\_ALL\_LOOT\_ROLLS event.  
    # Conflicts:  
    #	ShestakUI/Modules/Loot/GroupLoot.lua  
- [ActionBars] Hide new casting animation. pt. 2  
- Updated oUF.  
    # Conflicts:  
    #	ShestakUI/Libs/oUF/Blizzard.lua  
- [Skins] Fixed Group loot roll.  
- [ActionBars] Hide new casting animation.  
- Fixed Vehicle mouseover. pt. 2  
- Fixed Vehicle mouseover.  
- Updated oUF.  
    # Conflicts:  
    #	ShestakUI/Libs/oUF/Elements/PowerPrediction.lua  
- Cleanup.  
- [Skins] Blizzard - WorldMap: Disable skin for Wrath Classic for now.  
- [Skins] Added skin for custom dropdown frames. pt. 2  
- [Tooltip] Removed Talents option. Now available by Blizzard. pt. 2  
- [Tooltip] Removed Talents option. Now available by Blizzard.  
    # Conflicts:  
    #	ShestakUI/Modules/Tooltip/Talents.lua  
- [Skins] Fixed AutoCompleteBox.NineSlice border. pt. 3  
- Cleanup.  
- Cleanup.  
- Fixed MicroMenu.  
    # Conflicts:  
    #	ShestakUI/Modules/ActionBars/MicroMenu.lua  
- FilgerSpells removed some of outdated spells.  
- More 10.1.5 fixes. pt . 2  
- Cleanup.  
    # Conflicts:  
    #	ShestakUI/Libs/LiteStats/LiteStats.lua  
- More 10.1.5 fixes.  
    # Conflicts:  
    #	ShestakUI/Core/Constants.lua  
    #	ShestakUI/Modules/Blizzard/MirrorBars.lua  
    #	ShestakUI/Modules/Skins/Blizzard/PvE.lua  
    #	ShestakUI/Modules/Trade/OneClickEnchantScroll.lua  
    #	ShestakUI/Modules/Trade/ProfessionTabs.lua  
- [PulseCD] Allow to add ignore spell in GUI and added new option to change ignore list to whitelist.  
    # Conflicts:  
    #	ShestakUI/Config/Filters/Cooldowns.lua  
    #	ShestakUI/Modules/Cooldowns/PulseCD.lua  
- Quick fixes for 10.1.5.  
- [Skin] Use TicketStatusFrameButton.NineSlice for skin.  
- Added check for scrollbar skin.  
- [Minimap] More safely way to move crafting icon.  
    # Conflicts:  
    #	ShestakUI/Modules/Maps/MiniMap.lua  
- [Skins] Fixed ItemSocketing skin.  
- [SlotItemLevel] Attempt to fix upgrade level.  
- [Skins] Disable PremadeGroupsFilter skin.  
- [MiniMap] Fixed position for CraftingOrder icon.  
    # Conflicts:  
    #	ShestakUI/Modules/Maps/MiniMap.lua  
- Revert garbage cleaning.  
    # Conflicts:  
    #	ShestakUI/Modules/Blizzard/Fixes.lua  
- Fixed Vehicle position.  
- Prevent rare error in scrollbar skin.  
- [Skins] Fixed boss ability icon in EncounterJournal.  
- [ChannelingTicks] Removed Mind Sear.  
- Added Mass Disintegrate debuff.  
- Return old Collect garbage code.  
- Updated ItemLevel.  
- Added Volcanic Heart debuff.  
- Cleanup.  
    # Conflicts:  
    #	ShestakUI/Config/Filters/Announcements.lua  
    #	ShestakUI/Config/Filters/AutoButton.lua  
    #	ShestakUI/Config/Filters/BadBuffs.lua  
    #	ShestakUI/Config/Filters/ChatSpam.lua  
    #	ShestakUI/Config/Filters/Nameplates.lua  
    #	ShestakUI/Config/Positions.lua  
    #	ShestakUI/Config/Profiles.lua  
    #	ShestakUI/Core/API.lua  
    #	ShestakUI/Core/Commands.lua  
    #	ShestakUI/Core/Constants.lua  
    #	ShestakUI/Core/Launch.lua  
    #	ShestakUI/Core/Movers.lua  
    #	ShestakUI/Core/PixelPerfect.lua  
    #	ShestakUI/Core/WTF.lua  
    #	ShestakUI/Libs/LitePanels/Layout.lua  
    #	ShestakUI/Libs/oUF/Modules/AuraTracker.lua  
    #	ShestakUI/Libs/oUF/Modules/AuraWatch.lua  
    #	ShestakUI/Libs/oUF/Modules/AutoResurrect.lua  
    #	ShestakUI/Libs/oUF/Modules/CombatFeedback.lua  
    #	ShestakUI/Libs/oUF/Modules/ComboPoints.lua  
    #	ShestakUI/Libs/oUF/Modules/CounterBar.lua  
    #	ShestakUI/Libs/oUF/Modules/DebuffHighlight.lua  
    #	ShestakUI/Libs/oUF/Modules/EnemySpec.lua  
    #	ShestakUI/Libs/oUF/Modules/FactionIcon.lua  
    #	ShestakUI/Libs/oUF/Modules/Fader.lua  
    #	ShestakUI/Libs/oUF/Modules/QuestIcon.lua  
    #	ShestakUI/Libs/oUF/Modules/RaidDebuffs.lua  
    #	ShestakUI/Libs/oUF/Modules/Reputation.lua  
    #	ShestakUI/Libs/oUF/Modules/Smooth.lua  
    #	ShestakUI/Libs/oUF/Modules/Swing.lua  
    #	ShestakUI/Libs/oUF/Modules/TotemBar.lua  
    #	ShestakUI/Libs/oUF/Modules/Trinkets.lua  
    #	ShestakUI/Locales/German.lua  
    #	ShestakUI/Locales/Italian.lua  
    #	ShestakUI/Locales/Russian.lua  
    #	ShestakUI/Locales/Spanish.lua  
    #	ShestakUI/Locales/Taiwan.lua  
    #	ShestakUI/Modules/ActionBars/MicroMenu.lua  
    #	ShestakUI/Modules/Announcements/FeastsAndPortals.lua  
    #	ShestakUI/Modules/Announcements/FlaskAndFood.lua  
    #	ShestakUI/Modules/Announcements/PullCountdown.lua  
    #	ShestakUI/Modules/Automation/AutoInvite.lua  
    #	ShestakUI/Modules/Automation/BuffOnScroll.lua  
    #	ShestakUI/Modules/Automation/Screenshots.lua  
    #	ShestakUI/Modules/Automation/SetRole.lua  
    #	ShestakUI/Modules/Blizzard/AlertFrames.lua  
    #	ShestakUI/Modules/Blizzard/ClassColorNames.lua  
    #	ShestakUI/Modules/Blizzard/ColorPicker.lua  
    #	ShestakUI/Modules/Blizzard/CombatText.lua  
    #	ShestakUI/Modules/Blizzard/Fonts.lua  
    #	ShestakUI/Modules/Blizzard/Mail.lua  
    #	ShestakUI/Modules/Blizzard/MoveBlizzFrames.lua  
    #	ShestakUI/Modules/Blizzard/TimerTracker.lua  
    #	ShestakUI/Modules/Chat/ChatBars.lua  
    #	ShestakUI/Modules/Chat/ChatBind.lua  
    #	ShestakUI/Modules/Chat/ChatFrames.lua  
    #	ShestakUI/Modules/Chat/CopyChat.lua  
    #	ShestakUI/Modules/Chat/Filters.lua  
    #	ShestakUI/Modules/Chat/MouseScroll.lua  
    #	ShestakUI/Modules/Chat/RealLinks.lua  
    #	ShestakUI/Modules/Chat/Sounds.lua  
    #	ShestakUI/Modules/Chat/SpamageMeters.lua  
    #	ShestakUI/Modules/Chat/TellTarget.lua  
    #	ShestakUI/Modules/Cooldowns/DiminishingCD.lua  
    #	ShestakUI/Modules/Cooldowns/EnemyCD.lua  
    #	ShestakUI/Modules/Cooldowns/PulseCD.lua  
    #	ShestakUI/Modules/Loot/GroupLoot.lua  
    #	ShestakUI/Modules/Maps/MiniMapButtons.lua  
    #	ShestakUI/Modules/Maps/ToggleMenu.lua  
    #	ShestakUI/Modules/Misc/ClickCast.lua  
    #	ShestakUI/Modules/Misc/LFGQueueTimer.lua  
    #	ShestakUI/Modules/Misc/Misc.lua  
    #	ShestakUI/Modules/Misc/PvPQueueTimer.lua  
    #	ShestakUI/Modules/Misc/RaidUtility.lua  
    #	ShestakUI/Modules/Misc/Threat.lua  
    #	ShestakUI/Modules/Skins/Ace3.lua  
    #	ShestakUI/Modules/Skins/Aurora.lua  
    #	ShestakUI/Modules/Skins/BigWigs.lua  
    #	ShestakUI/Modules/Skins/BloodShieldTracker.lua  
    #	ShestakUI/Modules/Skins/Capping.lua  
    #	ShestakUI/Modules/Skins/Clique.lua  
    #	ShestakUI/Modules/Skins/CoolLine.lua  
    #	ShestakUI/Modules/Skins/Dominos.lua  
    #	ShestakUI/Modules/Skins/FlyoutButtonCustom.lua  
    #	ShestakUI/Modules/Skins/MageNuggets.lua  
    #	ShestakUI/Modules/Skins/MyRolePlay.lua  
    #	ShestakUI/Modules/Skins/NPCScan.lua  
    #	ShestakUI/Modules/Skins/NugRunning.lua  
    #	ShestakUI/Modules/Skins/Omen.lua  
    #	ShestakUI/Modules/Skins/Ovale.lua  
    #	ShestakUI/Modules/Skins/Recount.lua  
    #	ShestakUI/Modules/Skins/TinyDPS.lua  
    #	ShestakUI/Modules/Skins/VanasKoS.lua  
    #	ShestakUI/Modules/Skins/WeakAuras.lua  
    #	ShestakUI/Modules/Tooltip/Achievement.lua  
    #	ShestakUI/Modules/Tooltip/InstanceLockCompare.lua  
    #	ShestakUI/Modules/Tooltip/ItemCount.lua  
    #	ShestakUI/Modules/Tooltip/ItemIcons.lua  
    #	ShestakUI/Modules/Tooltip/RuFix.lua  
    #	ShestakUI/Modules/Tooltip/Talents.lua  
    #	ShestakUI/Modules/Trade/OneClickDisenchanting.lua  
    #	ShestakUI/Modules/Trade/SumAucBuyouts.lua  
    #	ShestakUI/Modules/Trade/TrainAll.lua  
- [CastBar] Merge tradeskill craft into one bar. pt. 2  
- Updated TaintLess.xml.  
    # Conflicts:  
    #	ShestakUI/Modules/Blizzard/TaintLess.xml  
- Updated raid debuffs.  
- [RaidBuffs] Fixed border. pt. 2  
- [RaidBuffs] Fixed border.  
- [Skins] Fixed position for bottom tab and add red color for disabled tabs on right.  
- [VigorBar] Set dark color for fill value.  
    # Conflicts:  
    #	ShestakUI/Modules/Blizzard/UIWidget.lua  
- [CastBar] Merge tradeskill craft into one bar.  
    # Conflicts:  
    #	ShestakUI/Libs/oUF/Elements/CastBar.lua  
- [Skins] Improved ChatConfig functions.  
    # Conflicts:  
    #	ShestakUI/Modules/Skins/Blizzard/ChatConfig.lua  
- Replace "UIPanelScrollFrameTemplate" with new "ScrollFrameTemplate".  
- [Skins] Added skin for group loot items (not tested).  
    # Conflicts:  
    #	ShestakUI/Modules/Skins/Blizzard/Loot.lua  
- [GroupLoot] Changed default position, now anchor to player frame.  
- [GroupLoot] Removed roll count. Not available in 10.1 anymore.  
    # Conflicts:  
    #	ShestakUI/Modules/Loot/GroupLoot.lua  
- [Bags] Added item level for pet and keystone.  
    # Conflicts:  
    #	ShestakUI/Modules/Blizzard/Bags.lua  
- [ObjectiveTracker] Allow moving everywhere.  
- [RaidAuraWatch] Added new Dragonflight dungeons.  
- Removed option "Button to hide raid frames in DPS layout"  
    Code still available here https://github.com/Wetxius/ShestakUI\_Profile/wiki/RaidFrames/_edit#button-to-hide-raid-frames-in-dps-layout-top-left-mouseover  
    # Conflicts:  
    #	ShestakUI/Config/Settings.lua  
    #	ShestakUI\_Config/Locales/Italian.lua  
    #	ShestakUI\_Config/Locales/Russian.lua  
    #	ShestakUI\_Config/Locales/Spanish.lua  
    #	ShestakUI\_Config/Options.lua  
- Tweak ObjectiveTracker position if enabled micro menu.  
- Hide missing talent alert frame.  
    # Conflicts:  
    #	ShestakUI/Modules/ActionBars/Core.lua  
- [Skins] Added Blizzard GroupLootFrame skin.  
- [Skins] Hide FancyBackground in SkinRafRewardDeliveredAlert.  
    # Conflicts:  
    #	ShestakUI/Core/Commands.lua  
- Updated AutoAccept.  
- Updated OneClickDisenchanting.  
- [MiniMap] Keep QueueStatusButton scale.  
    # Conflicts:  
    #	ShestakUI/Modules/Maps/MiniMap.lua  
- We check by spell name, not needed another spells.  
- Added support transmog roll in GroupLoot.  
    # Conflicts:  
    #	ShestakUI/Modules/Loot/GroupLoot.lua  
- Removed some PvP Spells and some removed spells  
- Added new logo icon.  
- Fixed Plater skin.  
- Updated RaidAura with S2 dungeons, Aberrus Raid, Hots and PvP Debuffs  
- Fixed Guild Bank Scroll frame  
    # Conflicts:  
    #	ShestakUI/Modules/Skins/Blizzard/GuildBank.lua  
- [WorldMap] Tweak position for numQuest without skin.  
- Cleanup.  
- [ObjectiveTracker] Restore previous position. Fixed collapse error.  
- [MiniMap] Fixed disappear quest and action bar due to MinimapCluster.Tracking moving. WTF?  
    # Conflicts:  
    #	ShestakUI/Modules/Maps/MiniMap.lua  
- Cleanup. pt. 2  
- Cleanup.  
- [Skins] Blizzard - Loot: Loot frame still needs some separate logic for Classic  
- Cleanup.  
    # Conflicts:  
    #	ShestakUI/Modules/Blizzard/Fixes.lua  
    #	ShestakUI/Modules/Blizzard/UIWidget.lua  
    #	ShestakUI/Modules/Maps/MiniMap.lua  
    #	ShestakUI/Modules/Skins/Blizzard/AddonList.lua  
    #	ShestakUI/Modules/Skins/Blizzard/ChatConfig.lua  
    #	ShestakUI/Modules/Skins/Blizzard/DebugTools.lua  
    #	ShestakUI/Modules/Skins/Blizzard/Mail.lua  
    #	ShestakUI\_Config/Options.lua  
- Updated oUF.  
    # Conflicts:  
    #	ShestakUI/Libs/oUF/oUF.lua  
- [MiniMap] Hide AddonCompartmentFrame. pt. 2  
- [MiniMap] Hide AddonCompartmentFrame.  
- [Skins] CommunitiesFrame.Chat.MessageFrame =>CommunitiesFrame.Chat.  
- [Nameplates] SetCVar("nameplatePlayerMaxDistance", 60) to show friendly plates. pt. 2  
- [Nameplates] SetCVar("nameplatePlayerMaxDistance", 60) to show friendly plates.  
- [Bags] Added search command "boa". pt. 2  
- Fixed tooltip scanning.  
    # Conflicts:  
    #	ShestakUI/Libs/LiteStats/LiteStats.lua  
- Prepare for 10.1.0. pt. 2  
- [Skins] Fixed BaudErrorFrame error.  
    # Conflicts:  
    #	ShestakUI/Modules/Skins/Blizzard/Others.lua  
